{
    "doc": "Ancestries, defined as Ethnic category(ies) and Chi-square test",
    "fields": [
        {
            "doc": "Mother's Ethnic Origin",
            "name": "mothersEthnicOrigin",
            "type": [
                "null",
                {
                    "doc": "This is the list of ethnicities in ONS16\n\n    * `D`:  Mixed: White and Black Caribbean\n    * `E`:  Mixed: White and Black African\n    * `F`:  Mixed: White and Asian\n    * `G`:  Mixed: Any other mixed background\n    * `A`:  White: British\n    * `B`:  White: Irish\n    * `C`:  White: Any other White background\n    * `L`:  Asian or Asian British: Any other Asian background\n    * `M`:  Black or Black British: Caribbean\n    * `N`:  Black or Black British: African\n    * `H`:  Asian or Asian British: Indian\n    * `J`:  Asian or Asian British: Pakistani\n    * `K`:  Asian or Asian British: Bangladeshi\n    * `P`:  Black or Black British: Any other Black background\n    * `S`:  Other Ethnic Groups: Any other ethnic group\n    * `R`:  Other Ethnic Groups: Chinese\n    * `Z`:  Not stated",
                    "name": "EthnicCategory",
                    "symbols": [
                        "D",
                        "E",
                        "F",
                        "G",
                        "A",
                        "B",
                        "C",
                        "L",
                        "M",
                        "N",
                        "H",
                        "J",
                        "K",
                        "P",
                        "S",
                        "R",
                        "Z"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "doc": "Mother's Ethnic Origin Description",
            "name": "mothersOtherRelevantAncestry",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Father's Ethnic Origin",
            "name": "fathersEthnicOrigin",
            "type": [
                "null",
                "EthnicCategory"
            ]
        },
        {
            "doc": "Father's Ethnic Origin Description",
            "name": "fathersOtherRelevantAncestry",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "Chi-square test for goodness of fit of this sample to 1000 Genomes Phase 3 populations",
            "name": "chiSquare1KGenomesPhase3Pop",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "Chi-square test for goodness of fit of this sample to 1000 Genomes Phase 3 populations",
                        "fields": [
                            {
                                "doc": "1K Super Population",
                                "name": "kgSuperPopCategory",
                                "type": {
                                    "doc": "1K Super Population",
                                    "name": "KgSuperPopCategory",
                                    "symbols": [
                                        "AFR",
                                        "AMR",
                                        "EAS",
                                        "EUR",
                                        "SAS"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "doc": "1K Population",
                                "name": "kgPopCategory",
                                "type": [
                                    "null",
                                    {
                                        "doc": "1K Population",
                                        "name": "KgPopCategory",
                                        "symbols": [
                                            "ACB",
                                            "ASW",
                                            "BEB",
                                            "CDX",
                                            "CEU",
                                            "CHB",
                                            "CHS",
                                            "CLM",
                                            "ESN",
                                            "FIN",
                                            "GBR",
                                            "GIH",
                                            "GWD",
                                            "IBS",
                                            "ITU",
                                            "JPT",
                                            "KHV",
                                            "LWK",
                                            "MSL",
                                            "MXL",
                                            "PEL",
                                            "PJL",
                                            "PUR",
                                            "STU",
                                            "TSI",
                                            "YRI"
                                        ],
                                        "type": "enum"
                                    }
                                ]
                            },
                            {
                                "doc": "Chi-square test for goodness of fit of this sample to this 1000 Genomes Phase 3 population",
                                "name": "chiSquare",
                                "type": "double"
                            }
                        ],
                        "name": "ChiSquare1KGenomesPhase3Pop",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "Ancestries",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}